OpenShot Audio Library | OpenShotAudio: juce::AiffAudioFormat Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
juce::AiffAudioFormat Class Reference

`#include <juce_AiffAudioFormat.h>`

Inheritance diagram for juce::AiffAudioFormat:

## Public Member Functions
| AiffAudioFormat ()
| ~AiffAudioFormat () override
Array< int > | getPossibleSampleRates () override
Array< int > | getPossibleBitDepths () override
bool | canDoStereo () override
bool | canDoMono () override
AudioFormatReader * | createReaderFor (InputStream *sourceStream, bool deleteStreamIfOpeningFails) override
MemoryMappedAudioFormatReader * | createMemoryMappedReader (const File &) override
MemoryMappedAudioFormatReader * | createMemoryMappedReader (FileInputStream *) override
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex) override
virtual AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)=0
virtual AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)
Public Member Functions inherited from juce::AudioFormat
virtual | ~AudioFormat ()
const String & | getFormatName () const
virtual StringArray | getFileExtensions () const
virtual bool | canHandleFile (const File &fileToTest)
virtual Array< int > | getPossibleSampleRates ()=0
virtual Array< int > | getPossibleBitDepths ()=0
virtual bool | canDoStereo ()=0
virtual bool | canDoMono ()=0
virtual bool | isCompressed ()
virtual bool | isChannelLayoutSupported (const AudioChannelSet &channelSet)
virtual StringArray | getQualityOptions ()
virtual AudioFormatReader * | createReaderFor (InputStream *sourceStream, bool deleteStreamIfOpeningFails)=0
virtual MemoryMappedAudioFormatReader * | createMemoryMappedReader (const File &file)
virtual MemoryMappedAudioFormatReader * | createMemoryMappedReader (FileInputStream *fin)
virtual AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)=0
virtual AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex)

## Static Public Attributes
static const char *const | appleOneShot = "apple one shot"
static const char *const | appleRootSet = "apple root set"
static const char *const | appleRootNote = "apple root note"
static const char *const | appleBeats = "apple beats"
static const char *const | appleDenominator = "apple denominator"
static const char *const | appleNumerator = "apple numerator"
static const char *const | appleTag = "apple tag"
static const char *const | appleKey = "apple key"

## Additional Inherited Members
Protected Member Functions inherited from juce::AudioFormat
| AudioFormat (String formatName, StringArray fileExtensions)
| AudioFormat (StringRef formatName, StringRef fileExtensions)

## Detailed Description

Reads and Writes AIFF format audio files.

See also
  AudioFormat

Definition at line 38 of file juce_AiffAudioFormat.h.

## Constructor & Destructor Documentation

## ◆ AiffAudioFormat()

juce::AiffAudioFormat::AiffAudioFormat | ( |  | ) |

Creates an format object.

Definition at line 933 of file juce_AiffAudioFormat.cpp.

## ◆ ~AiffAudioFormat()

juce::AiffAudioFormat::~AiffAudioFormat | ( |  | ) |
| override

Destructor.

Definition at line 934 of file juce_AiffAudioFormat.cpp.

## Member Function Documentation

## ◆ canDoMono()

bool juce::AiffAudioFormat::canDoMono | ( |  | ) |
| overridevirtual

Returns true if the format can do 1-channel audio.

Implements juce::AudioFormat.

Definition at line 947 of file juce_AiffAudioFormat.cpp.

## ◆ canDoStereo()

bool juce::AiffAudioFormat::canDoStereo | ( |  | ) |
| overridevirtual

Returns true if the format can do 2-channel audio.

Implements juce::AudioFormat.

Definition at line 946 of file juce_AiffAudioFormat.cpp.

## ◆ createMemoryMappedReader() [1/2]

MemoryMappedAudioFormatReader * juce::AiffAudioFormat::createMemoryMappedReader | ( | const File & | file | ) |
| overridevirtual

Attempts to create a MemoryMappedAudioFormatReader, if possible for this format. If the format does not support this, the method will return nullptr;

Reimplemented from juce::AudioFormat.

Definition at line 976 of file juce_AiffAudioFormat.cpp.

Referenced by createMemoryMappedReader().

## ◆ createMemoryMappedReader() [2/2]

MemoryMappedAudioFormatReader * juce::AiffAudioFormat::createMemoryMappedReader | ( | FileInputStream * | fin | ) |
| overridevirtual

Reimplemented from juce::AudioFormat.

Definition at line 981 of file juce_AiffAudioFormat.cpp.

## ◆ createReaderFor()

AudioFormatReader * juce::AiffAudioFormat::createReaderFor | ( | InputStream * | sourceStream,
|  | bool | deleteStreamIfOpeningFails
| ) |  |
| overridevirtual

Tries to create an object that can read from a stream containing audio data in this format.

The reader object that is returned can be used to read from the stream, and should then be deleted by the caller.

Parameters

  sourceStream | the stream to read from - the AudioFormatReader object that is returned will delete this stream when it no longer needs it.
  deleteStreamIfOpeningFails | if no reader can be created, this determines whether this method should delete the stream object that was passed-in. (If a valid reader is returned, it will always be in charge of deleting the stream, so this parameter is ignored)

See also
  AudioFormatReader

Implements juce::AudioFormat.

Definition at line 963 of file juce_AiffAudioFormat.cpp.

## ◆ createWriterFor() [1/3]

AudioFormatWriter * juce::AudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | const AudioChannelSet & | channelLayout,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex
| ) |  |
| virtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  channelLayout | the channel layout for the file. Use isChannelLayoutSupported to check if the writer supports this layout.
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Reimplemented from juce::AudioFormat.

Definition at line 188 of file juce_AudioFormat.cpp.

## ◆ createWriterFor() [2/3]

AudioFormatWriter * juce::AiffAudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | unsigned int | numberOfChannels,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex
| ) |  |
| overridevirtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  numberOfChannels | the number of channels
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Implements juce::AudioFormat.

Definition at line 994 of file juce_AiffAudioFormat.cpp.

## ◆ createWriterFor() [3/3]

virtual AudioFormatWriter * juce::AudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | unsigned int | numberOfChannels,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex
| ) |  |
| virtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  numberOfChannels | the number of channels
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Implements juce::AudioFormat.

## ◆ getPossibleBitDepths()

Array< int > juce::AiffAudioFormat::getPossibleBitDepths | ( |  | ) |
| overridevirtual

Returns a set of bit depths that the format can read and write.

Implements juce::AudioFormat.

Definition at line 941 of file juce_AiffAudioFormat.cpp.

Referenced by createWriterFor().

## ◆ getPossibleSampleRates()

Array< int > juce::AiffAudioFormat::getPossibleSampleRates | ( |  | ) |
| overridevirtual

Returns a set of sample rates that the format can read and write.

Implements juce::AudioFormat.

Definition at line 936 of file juce_AiffAudioFormat.cpp.

## Member Data Documentation

## ◆ appleBeats

const char *const juce::AiffAudioFormat::appleBeats = "apple beats"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 56 of file juce_AiffAudioFormat.h.

## ◆ appleDenominator

const char *const juce::AiffAudioFormat::appleDenominator = "apple denominator"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 58 of file juce_AiffAudioFormat.h.

## ◆ appleKey

const char *const juce::AiffAudioFormat::appleKey = "apple key"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 64 of file juce_AiffAudioFormat.h.

## ◆ appleNumerator

const char *const juce::AiffAudioFormat::appleNumerator = "apple numerator"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 60 of file juce_AiffAudioFormat.h.

## ◆ appleOneShot

const char *const juce::AiffAudioFormat::appleOneShot = "apple one shot"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 50 of file juce_AiffAudioFormat.h.

## ◆ appleRootNote

const char *const juce::AiffAudioFormat::appleRootNote = "apple root note"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 54 of file juce_AiffAudioFormat.h.

## ◆ appleRootSet

const char *const juce::AiffAudioFormat::appleRootSet = "apple root set"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 52 of file juce_AiffAudioFormat.h.

## ◆ appleTag

const char *const juce::AiffAudioFormat::appleTag = "apple tag"
| static

Metadata property name used when reading a aiff file with a basc chunk.

Definition at line 62 of file juce_AiffAudioFormat.h.

The documentation for this class was generated from the following files:

- juce_AiffAudioFormat.h
- juce_AiffAudioFormat.cpp